/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.frontend.taglib.chart.model;

import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;

/**
 * @author Iván Zaera Avellón
 */
public class Range implements Iterable {

	public Range() {
		this(0, 0);
	}

	public Range(Number start, Number end) {
		_values.add(start);
		_values.add(end);
	}

	@Override
	public Iterator iterator() {
		return _values.iterator();
	}

	public void setEnd(Number end) {
		_values.set(1, end);
	}

	public void setStart(Number start) {
		_values.set(0, start);
	}

	private List<Number> _values = new ArrayList<>();

}